VelocityReport Plugin - Defect #1252

New version Servoy 8.2 RC / servlet servoy_web_services threw exception
08/24/2017 07:48 PM - Sjoerd Hannema

Status: Resolved Start date: 08/24/2017
Priority: High Due date:

Assignee: Patrick Talbot % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description

| am testing the new Servoy 8.2 RC 2. After installing the plugin the page:
http://localhost:8080/servoy-service/velocity/VelocityWebClient throws an exception.

| have tested the latest version of the plugin.
Below is the full report of the exception

Regards,

Sjoerd Hannema

HTTP Status 500 - Servlet.init () for servlet servoy_web_services threw exception
type Exception report

message Servlet.init () for servlet servoy_web_services threw exception

description The server encountered an internal error that prevented it from fulfilling this reques
t.

exception

javax.servlet.ServletException: Servlet.init () for servlet servoy_web_services threw exception
org.apache.catalina.valves.ErrorReportValve.invoke (ErrorReportValve. java:79)
org.apache.catalina.valves.AbstractAccessLogValve.invoke (AbstractAccessLogValve. java:624)
org.apache.catalina.connector.CoyoteAdapter.service (CoyoteAdapter.java:349)
org.apache.coyote.httpll.HttpllProcessor.service (HttpllProcessor. java:783)
org.apache.coyote.AbstractProcessorLight.process (AbstractProcessorLight. java:66)
org.apache.coyote.AbstractProtocol$ConnectionHandler.process (AbstractProtocol. java:789)
org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun (NioEndpoint. java:1437)
org.apache.tomcat.util.net.SocketProcessorBase.run (SocketProcessorBase.java:49)
java.util.concurrent.ThreadPoolExecutor.runWorker (ThreadPoolExecutor. java:1142)
java.util.concurrent.ThreadPoolExecutor$Worker.run (ThreadPoolExecutor. java:617)
org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run (TaskThread. java:61)
java.lang.Thread.run (Thread. java:745)

root cause

java.lang.NoClassDefFoundError: org/apache/commons/pool/KeyedPoolableObjectFactory
net.stuff.servoy.plugin.velocityreport.server.VelocityWebServlet.resetConfig(VelocityWebServle

t.Jjava:2073)
net.stuff.servoy.plugin.velocityreport.server.VelocityWebServlet.init (VelocityWebServlet. java:

172)
com.servoy. j2db.server.servlets.WebServicesServlet.init (WebServicesServlet.java:19)
org.apache.catalina.valves.ErrorReportValve.invoke (ErrorReportValve. java:79)
org.apache.catalina.valves.AbstractAccessLogValve.invoke (AbstractAccessLogValve. java:624)
org.apache.catalina.connector.CoyoteAdapter.service (CoyoteAdapter. java:349)
org.apache.coyote.httpll.HttpllProcessor.service (HttpllProcessor. java:783)
org.apache.coyote.AbstractProcessorLight.process (AbstractProcessorLight. java:66)
org.apache.coyote.AbstractProtocol$ConnectionHandler.process (AbstractProtocol. java:789)
org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun (NioEndpoint. java:1437)
org.apache.tomcat.util.net.SocketProcessorBase.run (SocketProcessorBase. java:49)
java.util.concurrent.ThreadPoolExecutor$Worker.run (ThreadPoolExecutor. java:617)
org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run (TaskThread. java:61)
java.lang.Thread.run (Thread. java:745)

root cau

se

java.lang.ClassNotFoundException: org.apache.commons.pool.KeyedPoolableObjectFactory
History

#1 - 08/29/2017 12:08 PM - Sjoerd Hannema

- Status changed from New to Feedback

- Assignee set to Patrick Talbot

Also in final release Servoy 8.2 it is not working. | think it is related to the change of application_server/lib/commons-pool.jar. In Servoy 8.2 it is
changed to application_server/lib/commons-pool2.jar.

#2 - 09/11/2017 06:36 PM - Patrick Talbot

- Status changed from Feedback to Resolved

Fixed in v3.5.53
